summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Matteo Bernardini2020-11-27 19:33:10 +0100
committer Matteo Bernardini2021-02-27 08:23:43 +0100
commitcd463e8e5cf529ebab023c967b86206ce0205b73 (patch)
treed5efd422672bbf38ea4d29e21101e2c89716b983
parent9aa1498acb0841d4ce656319a4de5cc157b4e2ed (diff)
downloadslackbuilds-arc-theme.tar.gz
desktop/arc-theme: Updated for version 20201121_81130a2.arc-theme
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
-rw-r--r--desktop/arc-theme/README2
-rw-r--r--desktop/arc-theme/arc-theme.SlackBuild14
-rw-r--r--desktop/arc-theme/arc-theme.info10
-rw-r--r--desktop/arc-theme/slack-desc2
4 files changed, 18 insertions, 10 deletions
diff --git a/desktop/arc-theme/README b/desktop/arc-theme/README
index a9fc04447a..70bf665cae 100644
--- a/desktop/arc-theme/README
+++ b/desktop/arc-theme/README
@@ -1,3 +1,5 @@
Arc is a flat theme with transparent elements for GTK 3, GTK 2 and
Gnome-Shell which supports GTK 3 and GTK 2 based desktop
environments like Gnome, Unity, Budgie, Pantheon, XFCE, Mate, etc.
+
+inkscape, optipng and sassc are build-time dependencies.
diff --git a/desktop/arc-theme/arc-theme.SlackBuild b/desktop/arc-theme/arc-theme.SlackBuild
index d3a596f6b3..cd0112921d 100644
--- a/desktop/arc-theme/arc-theme.SlackBuild
+++ b/desktop/arc-theme/arc-theme.SlackBuild
@@ -25,7 +25,7 @@
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=arc-theme
-VERSION=${VERSION:-20170302}
+VERSION=${VERSION:-20201121_81130a2}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -56,13 +56,16 @@ else
LIBDIRSUFFIX=""
fi
+gnome_shell="--disable-gnome-shell" ; [[ $(which gnome-shell) ]] && gnome_shell=""
+cinnamon="--disable-cinnamon" ; [[ $(which cinnamon-session) ]] && cinnamon=""
+
set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
@@ -71,16 +74,19 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-sh autogen.sh
+sed -i "s|export-png=|export-type=png --export-filename=|" common/*/*.am || exit 1
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
-./configure \
+./autogen.sh \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
--docdir=/usr/doc/$PRGNAM-$VERSION \
+ $gnome_shell \
+ $cinnamon \
--build=$ARCH-slackware-linux
make
diff --git a/desktop/arc-theme/arc-theme.info b/desktop/arc-theme/arc-theme.info
index e653a09f81..f3be718dc8 100644
--- a/desktop/arc-theme/arc-theme.info
+++ b/desktop/arc-theme/arc-theme.info
@@ -1,10 +1,10 @@
PRGNAM="arc-theme"
-VERSION="20170302"
-HOMEPAGE="https://github.com/horst3180/arc-theme/"
-DOWNLOAD="https://github.com/horst3180/arc-theme/archive/20170302/arc-theme-20170302.tar.gz"
-MD5SUM="fe3e397ffc3633c1b5ba3b1d6e2456a7"
+VERSION="20201121_81130a2"
+HOMEPAGE="https://github.com/jnsh/arc-theme"
+DOWNLOAD="http://ponce.cc/slackware/sources/repo/arc-theme-20201121_81130a2.tar.xz"
+MD5SUM="bffd762770faf368ad2849534c5e3ad4"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-REQUIRES=""
+REQUIRES="inkscape murrine optipng sassc"
MAINTAINER="Marcel Saegebarth"
EMAIL="marc@mos6581.de"
diff --git a/desktop/arc-theme/slack-desc b/desktop/arc-theme/slack-desc
index a4387212a0..f697d27e12 100644
--- a/desktop/arc-theme/slack-desc
+++ b/desktop/arc-theme/slack-desc
@@ -12,7 +12,7 @@ arc-theme: Arc is a flat theme with transparent elements for GTK 3, GTK 2 and
arc-theme: Gnome-Shell which supports GTK 3 and GTK 2 based desktop
arc-theme: environments like Gnome, Unity, Budgie, Pantheon, XFCE, Mate, etc.
arc-theme:
-arc-theme: Homepage: https://github.com/horst3180/arc-theme/
+arc-theme: Homepage: https://github.com/jnsh/arc-theme
arc-theme:
arc-theme:
arc-theme: